### Method

# Gio DBusProxy set_interface_info

since: 2.26

#### Declaration

    void
    g_dbus_proxy_set_interface_info (
      GDBusProxy* proxy,
      GDBusInterfaceInfo* info
    )

#### Description

Ensure that interactions with `proxy` conform to the given interface. See the `GDBusProxy:g-interface-info` property for more details.

Available since: 2.26

#### Parameters

`info`

  Type: `GDBusInterfaceInfo`

  Minimum interface this proxy conforms to or `NULL` to unset.

  The argument can be `NULL`.
  The data is owned by the caller of the method.